[@rxap/ngx-bootstrap](../wiki/globals) / ModuleApplication

# Class: ModuleApplication\<M, O, Env\>

Defined in: [module-application.ts:18](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/module-application.ts#L18)

## Extends

- [`Application`](../wiki/Class.Application)\<`O`, `NgModuleRef`\<`M`\>, `Env`\>

## Type Parameters

• **M**

• **O** *extends* [`ModuleApplicationConfig`](../wiki/Interface.ModuleApplicationConfig)

• **Env** *extends* `Environment`

## Constructors

### new ModuleApplication()

> **new ModuleApplication**\<`M`, `O`, `Env`\>(`environment`, `moduleType`, `options`?, `configLoadOptions`?): [`ModuleApplication`](../wiki/Class.ModuleApplication)\<`M`, `O`, `Env`\>

Defined in: [module-application.ts:20](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/module-application.ts#L20)

#### Parameters

##### environment

`Env`

##### moduleType

`Type$1`\<`M`\>

##### options?

`O`

##### configLoadOptions?

`ConfigLoadOptions`

#### Returns

[`ModuleApplication`](../wiki/Class.ModuleApplication)\<`M`, `O`, `Env`\>

#### Overrides

[`Application`](../wiki/Class.Application).[`constructor`](../wiki/Class.Application#constructors)

## Properties

### app

> **app**: `null` \| `NgModuleRef$1`\<`M`\> = `null`

Defined in: [application.ts:39](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L39)

#### Inherited from

[`Application`](../wiki/Class.Application).[`app`](../wiki/Class.Application#app)

***

### config

> **config**: `null` \| `ConfigService`\<`Record`\<`string`, `any`\>\> = `null`

Defined in: [application.ts:41](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L41)

#### Inherited from

[`Application`](../wiki/Class.Application).[`config`](../wiki/Class.Application#config)

***

### configLoadOptions?

> `readonly` `optional` **configLoadOptions**: `ConfigLoadOptions`

Defined in: [application.ts:48](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L48)

#### Inherited from

[`Application`](../wiki/Class.Application).[`configLoadOptions`](../wiki/Class.Application#configloadoptions-1)

***

### environment

> `readonly` **environment**: `Env`

Defined in: [application.ts:46](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L46)

#### Inherited from

[`Application`](../wiki/Class.Application).[`environment`](../wiki/Class.Application#environment-1)

***

### logger

> **logger**: `null` \| `Console` = `null`

Defined in: [application.ts:40](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L40)

#### Inherited from

[`Application`](../wiki/Class.Application).[`logger`](../wiki/Class.Application#logger)

***

### options

> `readonly` **options**: `O`

Defined in: [application.ts:47](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L47)

#### Inherited from

[`Application`](../wiki/Class.Application).[`options`](../wiki/Class.Application#options-1)

## Methods

### after()

> **after**(`fnc`): `void`

Defined in: [application.ts:90](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L90)

#### Parameters

##### fnc

[`ApplicationAfterFunction`](../wiki/TypeAlias.ApplicationAfterFunction)\<`O`, `NgModuleRef$1`\<`M`\>, `Env`\>

#### Returns

`void`

#### Inherited from

[`Application`](../wiki/Class.Application).[`after`](../wiki/Class.Application#after)

***

### before()

> **before**(`fnc`): `void`

Defined in: [application.ts:86](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L86)

#### Parameters

##### fnc

[`ApplicationBeforeFunction`](../wiki/TypeAlias.ApplicationBeforeFunction)\<`O`, `NgModuleRef$1`\<`M`\>, `Env`\>

#### Returns

`void`

#### Inherited from

[`Application`](../wiki/Class.Application).[`before`](../wiki/Class.Application#before)

***

### bootstrap()

> **bootstrap**(): `Promise`\<`void`\>

Defined in: [application.ts:51](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L51)

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](../wiki/Class.Application).[`bootstrap`](../wiki/Class.Application#bootstrap)

***

### create()

> `protected` **create**(): `Promise`\<`NgModuleRef$1`\<`M`\>\>

Defined in: [module-application.ts:29](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/module-application.ts#L29)

#### Returns

`Promise`\<`NgModuleRef$1`\<`M`\>\>

#### Overrides

[`Application`](../wiki/Class.Application).[`create`](../wiki/Class.Application#create)

***

### handleAfter()

> `protected` **handleAfter**(`app`, `logger`, `config`, `options`, `environment`): `Promise`\<`void`\>

Defined in: [application.ts:100](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L100)

#### Parameters

##### app

`NgModuleRef$1`

##### logger

`Console`

##### config

`ConfigService`

##### options

`O`

##### environment

`Env`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](../wiki/Class.Application).[`handleAfter`](../wiki/Class.Application#handleafter)

***

### handleBefore()

> `protected` **handleBefore**(`config`, `options`, `environment`): `Promise`\<`void`\>

Defined in: [application.ts:94](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L94)

#### Parameters

##### config

`ConfigService`

##### options

`O`

##### environment

`Env`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](../wiki/Class.Application).[`handleBefore`](../wiki/Class.Application#handlebefore)

***

### loadConfig()

> `protected` **loadConfig**(`environment`): `Promise`\<`void`\>

Defined in: [application.ts:106](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L106)

#### Parameters

##### environment

`Env`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](../wiki/Class.Application).[`loadConfig`](../wiki/Class.Application#loadconfig)

***

### prepareConfig()

> `protected` **prepareConfig**(`config`): `void`

Defined in: [module-application.ts:34](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/module-application.ts#L34)

#### Parameters

##### config

`O`

#### Returns

`void`

#### Overrides

[`Application`](../wiki/Class.Application).[`prepareConfig`](../wiki/Class.Application#prepareconfig)

***

### prepareEnvironment()

> `protected` **prepareEnvironment**(`environment`): `Promise`\<`void`\>

Defined in: [application.ts:110](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/bootstrap/src/lib/application.ts#L110)

#### Parameters

##### environment

`Env`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](../wiki/Class.Application).[`prepareEnvironment`](../wiki/Class.Application#prepareenvironment)
